%define Name Erlang
%define bname erlang
Name: %bname-man
%define ver R12B
%define subver 3
Version: %ver.%subver
Release: alt0.1
Summary: A programming language developed by Ericsson
License: EPL
Group: Documentation
URL: http://www.%name.org
Source: otp_doc_man_%ver-%subver.tar.bz2
BuildArch: noarch
Conflicts: %bname-manpages < R11B.4-alt0.1
Provides: %bname-manpages = %version-%release

%description
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains man pages for %Name.


%prep
%setup -c


%install
install -d -m 0755 %buildroot{%_man1dir,%_man3dir,%_man4dir,%_man6dir,%_libdir/%bname/man/man{1,3,4,6},%_docdir/%bname-%version}
install -m 0644 COPYRIGHT PR.template README %buildroot%_docdir/%bname-%version/
for n in 1 3 4 6; do
    install -m 0644 man/man$n/* %buildroot%_libdir/%bname/man/man$n/
done
ln -sf %buildroot%_libdir/%bname/man/man1/* %buildroot%_man1dir/
#ln -sf %buildroot%_libdir/%bname/man/man3 %buildroot%_mandir/man3erl
for f in %buildroot%_libdir/%bname/man/man3/*; do
    ln -sf $f %buildroot%_man3dir/$(basename $f)erl
done
ln -sf %buildroot%_libdir/%bname/man/man4/* %buildroot%_man4dir/
ln -sf %buildroot%_libdir/%bname/man/man6/* %buildroot%_man6dir/


%files
%dir %_docdir/%bname-%version
%_docdir/%bname-%version/*
%dir %_libdir/%bname
%dir %_libdir/%bname/man
%dir %_libdir/%bname/man/man1
%dir %_libdir/%bname/man/man3
%dir %_libdir/%bname/man/man4
%dir %_libdir/%bname/man/man6
%_libdir/%bname/man/man1/*
%_libdir/%bname/man/man3/*
%_libdir/%bname/man/man4/*
%_libdir/%bname/man/man6/*
%_man1dir/*
#%%_mandir/man3erl
%_man3dir/*
%_man4dir/*
%_man6dir/*


%changelog
* Wed Jun 18 2008 Led <led@altlinux.ru> R12B.3-alt0.1
- R12B-3

* Sat Jun 14 2008 Led <led@altlinux.ru> R11B.5-alt1
- moved %%_mandir/man3erl/* to %%_man3dir/*erl

* Wed Sep 05 2007 Led <led@altlinux.ru> R11B.5-alt0.3
- added %_mandir/man3erl link

* Mon Jul 02 2007 Led <led@altlinux.ru> R11B.5-alt0.2
- removed man3 conflict symlinks

* Tue Jun 26 2007 Led <led@altlinux.ru> R11B.5-alt0.1
- R11B-5

* Wed Jun 06 2007 Led <led@altlinux.ru> R11B.4-alt0.1
- initial build
